# Uses of Interface
org.eclipse.emf.cdo.ui.CDOTopicProvider

Packages that use CDOTopicProvider
Package
Description
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.

## Uses of CDOTopicProvider in org.eclipse.emf.cdo.ui

Classes in org.eclipse.emf.cdo.ui that implement CDOTopicProvider
Modifier and Type
Class
Description
`class`
`DefaultTopicProvider`
A `hash set`-based `topic provider`.
Methods in org.eclipse.emf.cdo.ui with parameters of type CDOTopicProvider
Modifier and Type
Method
Description
`void`
CDOTopicProvider.Listener.`topicAdded(CDOTopicProvider provider, CDOTopicProvider.Topic topic)`
`void`
CDOTopicProvider.Listener.`topicRemoved(CDOTopicProvider provider, CDOTopicProvider.Topic topic)`